Bug 975609 - Infinispan subsystem ignores cluster name
Infinispan subsystem ignores cluster name
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Clustering (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity urgent
: ER3
: EAP 6.1.1
Assigned To: Paul Ferraro
:
Depends On:
Blocks: 976849
  Show dependency treegraph
 
Reported: 2013-06-18 18:34 EDT by dereed
Modified: 2013-09-16 16:23 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: ??? Consequence: The Infinispan subsystem ignored the configured cluster name and used the name of the cache container instead. Fix: ??? Result: Infinispan now honors the configured cluster name.
Story Points: ---
Clone Of:
: 976849 (view as bug list)
Environment:
Last Closed: 2013-09-16 16:23:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-1553 Critical Resolved Infinispan subsystem ignores cluster name 2016-01-14 11:19 EST

  None (edit)
Description dereed 2013-06-18 18:34:31 EDT
Description of problem:

The Infinispan subsystem uses the name of the cache container as the cluster name, instead of the name configured in <transport cluster="foo"/>.


Version-Release number of selected component (if applicable):
EAP 6.1.
This is a regression in 6.1.  Does not affect 6.0.x.


How reproducible:
Always


Steps to Reproduce:
1. Configure the "web" cache with <transport cluster="foo"/>.
2. Deploy a <distributable/> web application.
3. Note the cluster name printed in the log:

    GMS: address=master:server-one/foo, cluster=web, physical address=127.0.0.1:7600

Actual results: The cluster is still "web".

Expected results: The cluster is "foo".

Additional info:

This is a critical issue when using a gossip router, as only the cluster name determines what nodes form a cluster.
Comment 1 Paul Ferraro 2013-06-19 11:18:41 EDT
https://github.com/jbossas/jboss-eap/pull/188
Comment 2 Paul Ferraro 2013-06-19 11:21:49 EDT
https://github.com/jbossas/jboss-eap/pull/189
Comment 3 Richard Janík 2013-07-29 08:07:56 EDT
Verified.
Comment 4 Scott Mumford 2013-08-05 22:30:57 EDT
Added the Release Note skeleton.

More information is required regarding what caused the initial problem and how it was resolved (question marked placeholders above).
Comment 5 Scott Mumford 2013-08-28 20:22:39 EDT
Marking for exclusion from the 6.1.1 Release Notes document as an entry for this bug could not be completed or verified in time.

Note You need to log in before you can comment on or make changes to this bug.